# Class Journal

java.lang.Object
com.independentsoft.pst.Item
com.independentsoft.pst.Journal

public class Journal extends Item
The Class Journal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getDuration()`
  Gets the duration.
  `Date`
  `getEndTime()`
  Gets the end time.
  `Date`
  `getStartTime()`
  Gets the start time.
  `String`
  `getType()`
  Gets the type.
  `String`
  `getTypeDescription()`
  Gets the type description.

  ### Methods inherited from class com.independentsoft.pst.Item

  `getAttachments, getBillingInformation, getBody, getBodyHtml, getBodyHtmlText, getBodyRtf, getCategories, getClientSubmitTime, getCodePage, getConversationIndex, getConversationTopic, getCreationTime, getCreatorName, getDisableFullFidelity, getDisplayBcc, getDisplayCc, getDisplayTo, getEncoding, getEntryId, getExtendedProperties, getFlagIcon, getFlagStatus, getIconIndex, getId, getImportance, getInReplyTo, getInternetCodePage, getInternetMessageId, getInternetReferences, getKeywords, getLastModificationTime, getLastModifierName, getLastVerbExecuted, getLastVerbExecutionTime, getMessageClass, getMessageDeliveryTime, getMessageFile, getMessageFile, getMessageFlags, getMileage, getNormalizedSubject, getObjectType, getOriginalDisplayTo, getOutlookInternalVersion, getOutlookVersion, getParentId, getPriority, getProviderSubmitTime, getReceivedByAddressType, getReceivedByEmailAddress, getReceivedByEntryId, getReceivedByName, getReceivedBySearchKey, getReceivedRepresentingAddressType, getReceivedRepresentingEmailAddress, getReceivedRepresentingEntryId, getReceivedRepresentingName, getReceivedRepresentingSearchKey, getRecipients, getReplyTo, getReportText, getReportTime, getRtfCompressed, getRtfInSync, getSearchKey, getSenderAddressType, getSenderEmailAddress, getSenderEntryId, getSenderName, getSenderSearchKey, getSensitivity, getSentRepresentingAddressType, getSentRepresentingEmailAddress, getSentRepresentingEntryId, getSentRepresentingName, getSentRepresentingSearchKey, getSize, getSubject, getSubjectPrefix, getTable, getTransportMessageHeaders, hasAttachment, isEmbedded, isHidden, isReadOnly, isSystem, save, save, save, save, save, save`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getStartTime

    public Date getStartTime()
    Gets the start time.
    Returns:
      the start time

  - ### getEndTime

    public Date getEndTime()
    Gets the end time.
    Returns:
      the end time

  - ### getType

    public String getType()
    Gets the type.
    Returns:
      the type

  - ### getTypeDescription

    public String getTypeDescription()
    Gets the type description.
    Returns:
      the type description

  - ### getDuration

    public long getDuration()
    Gets the duration.
    Returns:
      the duration